
//
// To jest przykładowy kod z podrozdziału 13.10 „Wykorzystywanie obiektów bez nazw" książki
// "Programowanie. Teoria i praktyka z wykorzystaniem C++" Bjarne'a Stroustrupa.
//

#include "Simple_window.h"  // Dołącza naszą bibliotekę okien.
#include "Graph.h"          // Dołącza narzędzia graficzne.

//------------------------------------------------------------------------------

int main()
try
{
    Vector_ref<Rectangle> rect;

    Rectangle x(Point(100,200),Point(200,300));
    rect.push_back(x);    // dodaje nazwany obiekt

    rect.push_back(new Rectangle(Point(50,60),Point(80,90))); // dodaje nienazwany obiekt

    for (int i=0; i<rect.size(); ++i) rect[i].move(10,10);    // użycie prostokąta
}
catch(exception& e) {
    // Raport o błędzie.
    return 1;
}
catch(...) {
    // Raport o błędzie.
    return 2;
}

//------------------------------------------------------------------------------
